seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/07/20, 12:01:22


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: DU und nvidia-kernel-dkms (415.27-2)  (Read 612 times)

0 Members and 1 Guest are viewing this topic.

Offline manilg

  • User
  • Posts: 219
DU und nvidia-kernel-dkms (415.27-2)
« on: 2019/04/22, 09:10:15 »
Hi,

DU von heute endet damit:

Code: [Select]
nvidia-kernel-dkms (415.27-2) wird eingerichtet ...
Loading new nvidia-current-415.27 DKMS files...
Building for 5.0.9-towo.4-siduction-amd64
Building initial module for 5.0.9-towo.4-siduction-amd64
Error! Bad return status for module build on kernel: 5.0.9-towo.4-siduction-amd64 (x86_64)
Consult /var/lib/dkms/nvidia-current/415.27/build/make.log for more information.
dpkg: Fehler beim Bearbeiten des Paketes nvidia-kernel-dkms (--configure):
 »installiertes nvidia-kernel-dkms-Skript des Paketes post-installation«-Unterprozess gab den Fehlerwert 10 zurück
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von nvidia-driver:
 nvidia-driver hängt ab von nvidia-kernel-dkms (= 415.27-2) | nvidia-kernel-415.27; aber:
  Paket nvidia-kernel-dkms ist noch nicht konfiguriert.
  Paket nvidia-kernel-415.27 ist nicht installiert.
  Paket nvidia-kernel-dkms, das nvidia-kernel-415.27 bereitstellt, ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes nvidia-driver (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
Trigger für libc-bin (2.28-8) werden verarbeitet ...
Trigger für initramfs-tools (0.133) werden verarbeitet ...
update-initramfs: Generating /boot/initrd.img-5.0.9-towo.4-siduction-amd64
cryptsetup: WARNING: The initramfs image may not contain cryptsetup binaries
    nor crypto modules. If that's on purpose, you may want to uninstall the
    'cryptsetup-initramfs' package in order to disable the cryptsetup initramfs
    integration and avoid this warning.
WARNING: Unknown X keysym "dead_belowmacron"
WARNING: Unknown X keysym "dead_belowmacron"
WARNING: Unknown X keysym "dead_belowmacron"
WARNING: Unknown X keysym "dead_belowmacron"
I: The initramfs will attempt to resume from /dev/sdb2
I: (UUID=84bfa326-7aef-4736-8da8-xxxxxxxxxxx)
I: Set the RESUME variable to override this.
Trigger für update-glx (1.0.0) werden verarbeitet ...
Trigger für glx-alternative-nvidia (1.0.0) werden verarbeitet ...
update-alternatives: /usr/lib/nvidia wird verwendet, um /usr/lib/glx (glx) im automatischen Modus bereitzustellen
Trigger für glx-alternative-mesa (1.0.0) werden verarbeitet ...
Trigger für systemd (241-3) werden verarbeitet ...
Trigger für libc-bin (2.28-8) werden verarbeitet ...
Trigger für initramfs-tools (0.133) werden verarbeitet ...
update-initramfs: Generating /boot/initrd.img-5.0.9-towo.4-siduction-amd64
cryptsetup: WARNING: The initramfs image may not contain cryptsetup binaries
    nor crypto modules. If that's on purpose, you may want to uninstall the
    'cryptsetup-initramfs' package in order to disable the cryptsetup initramfs
    integration and avoid this warning.
WARNING: Unknown X keysym "dead_belowmacron"
WARNING: Unknown X keysym "dead_belowmacron"
WARNING: Unknown X keysym "dead_belowmacron"
WARNING: Unknown X keysym "dead_belowmacron"
I: The initramfs will attempt to resume from /dev/sdb2
I: (UUID=84bfa326-7aef-4736-8da8-f3xxxxxxxxxx)
I: Set the RESUME variable to override this.
Fehler traten auf beim Bearbeiten von:
 nvidia-kernel-dkms
 nvidia-driver
needrestart is being skipped since dpkg has failed
E: Sub-process /usr/bin/dpkg returned an error code (1)


Funktioniert auch nicht mit kernel 5.0.8

Gruss

manilg

Offline Camelot

  • User
  • Posts: 27
Re: DU und nvidia-kernel-dkms (415.27-2)
« Reply #1 on: 2019/04/22, 11:15:05 »
Kein Problem mit 5.0.9-towo.4-siduction-amd64 und NVIDIA 418.56 (experimental)

Code: [Select]
$ inxi -SG
System:
  Host: sidzeug Kernel: 5.0.9-towo.4-siduction-amd64 x86_64 bits: 64
  Desktop: Xfce 4.12.4
  Distro: siduction 18.3.0 Patience - xfce - (201805132203)
Graphics:
  Device-1: NVIDIA GK208B [GeForce GT 730] driver: nvidia v: 418.56
  Display: x11 server: X.Org 1.20.4 driver: nvidia
  resolution: 1920x1080~60Hz
  OpenGL: renderer: GeForce GT 730/PCIe/SSE2 v: 4.6.0 NVIDIA 418.56

Der 415.×× Treiber wird nicht mit Linux 5.× funktionieren.
Quote
Paket: nvidia-driver (415.27-2) [non-free]
(…)
Building the kernel module has been tested up to Linux 4.20.
https://packages.debian.org/sid/nvidia-driver

Offline manilg

  • User
  • Posts: 219
Re: DU und nvidia-kernel-dkms (415.27-2)
« Reply #2 on: 2019/04/23, 10:15:04 »
jou


Code: [Select]
inxi -SG
System:    Host: rhea Kernel: 5.0.9-towo.4-siduction-amd64 x86_64 bits: 64 Desktop: LXQt 0.14.1
           Distro: siduction 18.3.0 Patience - lxqt - (201805132142)
Graphics:  Device-1: NVIDIA GK106 [GeForce GTX 650 Ti] driver: nvidia v: 418.56
           Display: x11 server: X.Org 1.20.4 driver: nvidia resolution: 1920x1080~50Hz
           OpenGL: renderer: GeForce GTX 650 Ti/PCIe/SSE2 v: 4.6.0 NVIDIA 418.56



manilg

Offline Taliesin

  • User
  • Posts: 60
Re: DU und nvidia-kernel-dkms (415.27-2)
« Reply #3 on: 2019/04/25, 10:03:25 »
Anyone experienced any problems with the Nvidia drivers currently in Sid / Unstable?
Version number 418.56-2?

Offline sunrat

  • User
  • Posts: 291
Re: DU und nvidia-kernel-dkms (415.27-2)
« Reply #4 on: 2019/04/25, 11:10:03 »
I had the driver from experimental and it just upgraded to the current unstable 418.56-2 a couple of days ago. No problems so far.

Offline Taliesin

  • User
  • Posts: 60
Re: DU und nvidia-kernel-dkms (415.27-2)
« Reply #5 on: 2019/04/25, 11:11:58 »
Thanks mate.
I followed the earlier post and went with the version from Experimental also.
Upgrade to the new drivers in Unstable is a go.